Gradle build-info.xml not found for module app in Android Studio

Gradle build-info.xml not found for module app. Please make sure that you are using gradle plugin gradle:2.0.0-alpha or greater

I’m using the gradle plug in gradle:2.0.0-beta2. I randomly get this warning and after this very often either the app is not updated or it crashes.
It is enough to clean and rebuild to fix the issue.

  • MapView in a Fragment (Honeycomb)
  • Android Studio recognizes physical Device as Null?
  • Push Listview when keyboard appears without adjustPan
  • Android Table Layout Alignment
  • Manipulate alpha bytes of Java/Android color int
  • Play SWF file in webViewClient on ICS?
  • Is there any better way to fix it?

  • Android getDefaultSharedPreferences
  • Android: Standards for prefixing files in the RES directory apart from ic_?
  • MD5 checksums of Android APK files differ. Why?
  • Android - Is the intent preserved during activity recreation?
  • AlertDialog: How To Remove Black Borders Above and Below View
  • How to improve performance for SQLite database for android
  • 6 Solutions collect form web for “Gradle build-info.xml not found for module app in Android Studio”

    For me it happens on the Mac, but on Windows it works fine all the time. Ever since I updated Android Studio to version 2.0 beta, the issue was still present until official 2.0 Android Studio version.

    What helped was disabling Instant Run in Android Studio -> Preferences (search for “instant run” or) -> “Build, Execution, Deployment” -> Instant Run -> Enable Instant Run -> turn off

    run->clean and re-run the app. done my job.

    Try removing other gradle versions from studio.
    Let’s say you have gradle 2.10 running and also have 2.8 install, the gradle wrapper behaves unexpectedly in this case.
    Therefore we have to clean and rebuild every time.

    This works in mine case; hope in yours’ too. 🙂

    I modified the build.Gradle of project as:

    buildscript {
        repositories {
            jcenter()
        }
        dependencies {
            classpath 'com.android.tools.build:gradle:2.+'
    
            // using 2.+ will solve the problem
        }
    }
    

    I experienced the same warning/error and learned that in my case it was caused by missing or incorrectly configured .idea files.

    More specifically, make sure your “gradleHome” in .idea/gradle.xml is pointing at the right location:

    .idea/gradle.xml

    <option name="gradleHome" value="C:\Program Files\Android\Android Studio Canary\gradle\gradle-2.10" />
    

    If the problem persists, ensure you app modules is correctly configured:

    .idea/modules.xml

    <module fileurl="file://$PROJECT_DIR$/app/app.iml" filepath="$PROJECT_DIR$/app/app.iml" />
    

    I had the same problem. In my case, I had to do File -> Settings -> Build, Execution, Deployment -> Compiler and then check Use in-process build.

    Android Babe is a Google Android Fan, All about Android Phones, Android Wear, Android Dev and Android Games Apps and so on.